## org.apache.commons.collections
Interface ResettableIterator

All Superinterfaces:
  java.util.Iterator

All Known Subinterfaces:
  ResettableListIterator

All Known Implementing Classes:
  AbstractDualBidiMap.BidiMapIterator, AbstractLinkedMap.EntrySetIterator, AbstractLinkedMap.KeySetIterator, AbstractLinkedMap.LinkIterator, AbstractLinkedMap.LinkMapIterator, AbstractLinkedMap.ValuesIterator, ArrayIterator, ArrayListIterator, DualTreeBidiMap.BidiOrderedMapIterator, EmptyIterator, EmptyListIterator, EmptyMapIterator, EmptyOrderedIterator, EmptyOrderedMapIterator, EntrySetMapIterator, ListIteratorWrapper, LoopingIterator, LoopingListIterator, ObjectArrayIterator, ObjectArrayListIterator, ReverseListIterator, SingletonIterator, SingletonListIterator

    public interface ResettableIterator

extends java.util.Iterator

Defines an iterator that can be reset back to an initial state.

This interface allows an iterator to be repeatedly reused.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Method Summary
`void` `reset()` Resets the iterator back to the position at which the iterator was created.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### reset

    void reset()

  Resets the iterator back to the position at which the iterator was created.

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.